Bug 205845 - Unhandled error when cancelling rhn_register tui
Summary: Unhandled error when cancelling rhn_register tui
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-08 23:08 UTC by Daniel Benamy
Modified: 2013-01-10 10:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 18:20:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Benamy 2006-09-08 23:08:36 UTC
Description of problem:
Using rhn_register --development --nox. Got to listing of packages and clicked
cancel and had a mostly unhandled error.

"An error has occurred:
exceptions.NameError
See /var/log/up2date for more information"

Traceback (most recent call last):
  File "rhn_register.py", line 75, in ?
    app.run()
  File "../up2date_client/rhncli.py", line 66, in run
    sys.exit(self.main() or 0)
  File "rhn_register.py", line 66, in main
    if not up2dateAuth.getLoginInfo():
  File "../up2date_client/up2dateAuth.py", line 140, in getLoginInfo
    login()
  File "../up2date_client/up2dateAuth.py", line 99, in login
    li = server.up2date.login(systemId)
  File "../up2date_client/rhnserver.py", line 53, in __call__
    raise self.__exception_from_fault(f)
  File "../up2date_client/rhnserver.py", line 90, in __exception_from_fault
    elif f.faultCode == -36:
exceptions.NameError: global name 'f' is not defined


Version-Release number of selected component (if applicable):
rhn-client-tools r102032 on fc5
sat 4.0.1


How reproducible:
Happened both times I tried it.

Comment 1 Daniel Benamy 2006-09-08 23:11:24 UTC
Seeing the same thing when cancelling from other steps.

Comment 2 James Bowes 2006-09-11 13:01:41 UTC
Looks to me like 'f' should have been 'fault'


Note You need to log in before you can comment on or make changes to this bug.